For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceTagsGroups

List

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/tag-groups
GET
/v1/landscapes/:landscapeId/versions/:versionId/tag-groups
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tags.groups.list("landscapeId", "versionId", {});
8}
9main();
1{
2 "tagGroups": [
3 {
4 "commit": 1.1,
5 "icon": "bug",
6 "index": 1.1,
7 "labels": {},
8 "name": "string",
9 "handleId": "string",
10 "createdAt": "2024-01-15T09:30:00Z",
11 "createdBy": "user",
12 "createdById": "string",
13 "id": "string",
14 "landscapeId": "string",
15 "updatedAt": "2024-01-15T09:30:00Z",
16 "updatedBy": "user",
17 "updatedById": "string",
18 "version": 1.1,
19 "versionId": "string",
20 "deletedAt": "2024-01-15T09:30:00Z",
21 "deletedBy": "user",
22 "deletedById": "string",
23 "latestEntityId": "string"
24 }
25 ]
26}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Query parameters

filterobjectOptional

Response

OK
tagGroupslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error